% Flow transmission

clear all
close all

load('transmission_data');

%% Plotting 

% Plotting each separately, starting with DPPC, DOPC, then DOPC/DPPC
figure
p1=plot(U_im,Unm,'rx','MarkerSize',10,'LineWidth',1.5);
hold on
errorbar(U_im,Unm,Enm,'rx','MarkerSize',10,'LineWidth',1.5);
hold on
p2=plot(linspace(0,max(U_im),100),vz_sim*linspace(0,max(U_im),100),'r:','LineWidth',1.5);
hold on
errorbar(U_im,Um_DPPC,Em_DPPC,'k^','MarkerSize',10,'LineWidth',1.5);
hold on
p3=plot(U_im,Um_DPPC,'k^','MarkerSize',10,'LineWidth',1.5);
hold on
p4=plot(U_im,Um_DOPC,'bo','MarkerSize',10,'LineWidth',1.5);
hold on
errorbar(U_im,Um_DOPC,Em_DOPC,'bo','MarkerSize',10,'LineWidth',1.5);
hold on
p5=plot(U_im,Um_mix,'s','color',[0 0.6 0],'MarkerSize',10,'LineWidth',1.5);
hold on
errorbar(U_im,Um_mix,Em_mix,'s','color',[0 0.6 0],'MarkerSize',10,'LineWidth',2);
leg=legend([p1;p2;p3;p4;p5],'No membrane (data)','No membrane (Eq. 2, r = 3.8a)','DPPC membrane', ...
    'DOPC membrane','DOPC/DPPC membrane','Location','NorthWest');
ylim([-10 300]);
grid on
xlabel('U [\mum/s]');
ylabel('u^{--} [\mum/s]');
set(leg,'FontSize',10);
set(gca,'LineWidth',1.5,'FontSize',15);

